cascading.tuple.hadoop.io

## Class TuplePairSerializer

- java.lang.Object
- - cascading.tuple.hadoop.io.TuplePairSerializer

All Implemented Interfaces:
  org.apache.hadoop.io.serializer.Serializer<TuplePair>

    public class TuplePairSerializer
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`TuplePairSerializer(TupleSerialization.SerializationElementWriter elementWriter)`

### Method Summary

Methods
`void` `close()`
`void` `open(OutputStream out)`
`void` `serialize(TuplePair tuple)`
`protected void` `setWriters(Fields fields)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TuplePairSerializer

    public TuplePairSerializer(TupleSerialization.SerializationElementWriter elementWriter)

### Method Detail

#### serialize

    public void serialize(TuplePair tuple)
                   throws IOException

Specified by:
  `serialize` in interface `org.apache.hadoop.io.serializer.Serializer<TuplePair>`
Throws:
  `IOException`

#### setWriters

    protected void setWriters(Fields fields)

#### open

    public void open(OutputStream out)

Specified by:
  `open` in interface `org.apache.hadoop.io.serializer.Serializer<T extends Tuple>`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `org.apache.hadoop.io.serializer.Serializer<T extends Tuple>`
Throws:
  `IOException`